> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# News wires

> Returns latest news wires ordered by time latest first, supports pagination and filtering options.

The news wires, or newswire, is a near-realtime aggregated news feed curated by human financial professionals and enhanced by our AI models.

* The news are based on public news outlets
* Our AI generates and attaches an eye-catching cover image
* After that it identifies and tags any trading tickers mentioned in the content
* Then it determines the 'importance' of the news and marks accordingly so that API consumers could emphasize it to their end-users

The data is pushed very often, many times a minute. The endpoint supports filtering by stock symbol, industry or category. For performance reasons,
this endpoint does not expose content body, please use [info](/reference/news/wires-content) to get the content by id


## OpenAPI

````yaml reference/news/news.yaml GET /news/v1/wire/page/history
openapi: 3.1.0
info:
  title: News and articles API
  description: Get the latest news and articles
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: News
externalDocs:
  description: Find detailed documentation for all use cases related to this API
  url: https://docs.ainvest.com/news
paths:
  /news/v1/wire/page/history:
    get:
      tags:
        - News
      summary: Get latest wires
      description: >-
        Returns latest news wires ordered by time latest first, supports
        pagination and filtering options.
      operationId: getLatestNewsWires
      parameters:
        - name: tab
          in: query
          required: false
          description: >
            Filter by news category, can be one of the following values:

            | value | description |

            |----------------|----------------|

            | `all` | All content (default value) |

            | `manual` | Picks curated by human editors |

            | `important` | Only the important news |

            | `movers` | News related to stocks on the move today |

            | `earnings` | Earning reports and related news |

            | `insider_trades` | Insider transactions |

            | `technical` | Real-time signals by technical indicators |

            | `8k` | Form 8-K filings. SEC requires publicly traded companies to
            report material events that occur between their regular financial
            reports. Examples include significant acquisitions, dispositions,
            changes in directors or officers, material contract terminations,
            and changes in accounting practices. Generally, companies must file
            an 8-K within four business days of the event. |

            | `twitter` | News sourced from other media outlets |
          schema:
            type: string
            default: all
        - name: tickers
          in: query
          required: false
          description: >-
            US stock market ticker symbols, e.g. AAPL, TSLA, etc. You can
            specify multiple ticker symbols separated by commas. If not
            specified, return all.
          schema:
            type: string
        - name: industry
          in: query
          required: false
          description: |
            Filter by industry, can be one of the following values:
            | value                | description                   |
            |----------------------|-------------------------------|
            | software             | Software                      |
            | tech_hardware        | Technology and hardware       |
            | chips                | Semiconductor and electronics |
            | healthcare_equipment | Healthcare equipment          |
            | pharma               | Pharmaceuticals               |
            | banks                | Banking                       |
            | defense              | Defense                       |
            | industrials          | Industrials                   |
            | consumer_durables    | Consumer durables             |
            | autos                | Automotive                    |
            | staples_retail       | Retail and consumer staples   |
            | energy_equip_serv    | Energy                        |
            | reits                | Real estate                   |
            | media                | Media and entertainment       |
          schema:
            type: string
        - name: start_id
          in: query
          required: false
          description: >-
            Used for paging. If specified, return the latest items earlier than
            this id. If not specified, return the latest items from now.
          schema:
            type: string
            example: US_FLASH786892
        - name: size
          in: query
          required: false
          description: Number of items to return. Default is 10, maximum is 50.
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 10
      responses:
        '200':
          description: An array of news headline structures
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      start_id:
                        type: string
                        description: Start ID for pagination
                      size:
                        type: integer
                        description: Page size
                      data:
                        type: array
                        description: An array of news headline structures
                        items:
                          $ref: '#/components/schemas/Headline'
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
components:
  schemas:
    Headline:
      type: object
      properties:
        news_id:
          type: string
          description: News ID to be used as start_id for pagination
        content_id:
          type: string
          description: Content ID to fetch the full content body
        publish_time:
          type: number
          description: Content publish timestamp, milliseconds
        title:
          type: string
          description: Content title
        source:
          type: string
          description: Content source name
        seo_key:
          type: string
          description: Url-friendly content title
        cover_image:
          type: string
          description: Content cover image URL
        tag_list:
          type: array
          description: >-
            List of tags attached to the content. A tag can be a ticker symbol
            mentioned in the content.
          items:
            type: object
            properties:
              code:
                type: string
                description: Ticker symbol mentioned in the content
              market:
                type: string
                description: >-
                  Market code, please refer to the [market
                  codes](/reference/codes) in the documentation
              name_en:
                type: string
                description: Company name
            required:
              - code
              - market
              - name_en
        language:
          type: string
          description: The language of the content
      required:
        - news_id
        - news_important
        - publish_time
        - title
        - content
        - source
        - cover_image
        - source_url
        - tag_list
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````